// ############################## SETTINGS CALLBACKS #############################

void OnSettingsChanged(){
    if(refreshTimer < 1){
        refreshTimer = 1;
    }
    updateFrequency = refreshTimer*60*1000; // = minutes * One minute in sec * 1000 milliseconds per second

    if(hiddingSpeedSetting < 0){
        hiddingSpeedSetting = 0;
    }

}

void OnSettingsSave(Settings::Section& section){
    //save the array in the string
    allFriendsToGetStringSave = "";
    allFriendsNameStringSave = "";
	trace("OnSettingsSave");
	trace(nbSizePositionToGetArray);
    for(int i = 0; i < nbSizePositionToGetArray; i++){
        allFriendsToGetStringSave += "" + allFriendsToGet[i];
        if(i < nbSizePositionToGetArray - 1){
            allFriendsToGetStringSave += ",";
        }
    }
    for(int i = 0; i < nbSizePositionToGetArray; i++){
        allFriendsNameStringSave += "" + allFriendsName[i];
        if(i < nbSizePositionToGetArray - 1){
            allFriendsNameStringSave += ",";
        }
    }
    section.SetString("nbSizePositionToGetArray", "4");
    section.SetString("allFriendsToGetStringSave", "41b08e66-a415-43c9-8014-2168b4913019,590fbfe0-c50b-4d63-a84f-151de1c8169d,1369c6b3-3cd7-49ed-90bf-9559f13755e7,aa23b165-6bce-4381-885b-2e90a2b6527a");
    section.SetString("allFriendsNameStringSave", "WeaselAF,Takahiru,Bratwurstpaste,Bajheed");
}

void OnSettingsLoad(Settings::Section& section){
    //load the array from the string
    allFriendsToGetStringSave = section.GetString("allFriendsToGetStringSave");

    if(allFriendsToGetStringSave != ""){
        allFriendsToGet = allFriendsToGetStringSave.Split(",");
        nbSizePositionToGetArray = allFriendsToGet.Length;
        allFriendsName = allFriendsNameStringSave.Split(",");
		while (allFriendsToGet.Length > allFriendsName.Length){
			allFriendsName.InsertLast("");
		}
    }else{
        allFriendsToGetStringSave = "";
        allFriendsNameStringSave = "";
        nbSizePositionToGetArray = 0;
    }

    OnSettingsChanged();
}